Subject: [bug#53387] [PATCH 0/4] Update tdlib and telega packages

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 26 Nov 2022 13:58:03 +0100

Hi Andrew,

sorry for not reacting earlier.  Is this patch still "fresh and
relevant"?  Should we aim for newer versions?

Am Donnerstag, dem 27.01.2022 um 10:54 +0300 schrieb Andrew Tropin:
> CCed: avityazev, zevlg
> 
> On 2022-01-22 16:14, Liliana Marie Prikler wrote:
> 
> > Hi Andrew, 
> > 
> > Am Donnerstag, dem 20.01.2022 um 14:45 +0300 schrieb Andrew Tropin:
> > > tdlib and telega are inteded to be used from specific commits not
> > > tags, I keep revision and commit parameters for those packages to
> > > make it easier to update them to untagged commits in the future.
> > > 
> > > https://github.com/tdlib/td/issues/1790
> > > 
> > > Also, updated the style for arguments.
> > It appears Telega was already updated through a different patch. 
> > The style adjustments are still relevant, but fail to apply
> > currently.
> > 
> 
> Updated patches.
> 
> > 
> > As for commit vs. tag, I've CC'd Nicolas to make a more informed
> > decision.  I do understand your reasoning, but OTOH I disagree with
> > Telegram's "every commit is as good as a release" stance,
> > particularly if there's a widely used client whose releases fail in
> > CI :)
> 
> I agree, tdlib rolling release seems a little strange to me and I
> personally not in a favor of it.  I still propose to keep commit and
> revision variables for both tdlib and telega to be able to update
> them from time to time to a fresh version, which surely won't have a
> release tag.
> 
>